NAS-HA
All operations require authentication.
List available servicesProduction
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get this object propertiesProduction
Path parameters
The internal name of your storage
Response
True, if partition creation is allowed on this nas HA
The name you give to the nas
area of nas
the disk type of the nasHa
hddnvmessdIAM resource metadata
Access ip of nas
Send an email to customer if any issue is detected
The storage service name
percentage of nas space used in %
the size of the nas
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "canCreatePartition": true, "customName": "string", "datacenter": "string", "diskType": "hdd", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "ip": "192.0.2.0", "monitored": true, "serviceName": "string", "zpoolCapacity": 0, "zpoolSize": 0}
Return a read token for manager mimir metricsProduction
Path parameters
The internal name of your storage
Response
The url of the endpoint
The token value
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ metricsToken \
-H "authorization: Bearer $OVH_TOKEN"{ "endpoint": "string", "token": "string"}
Get partition listProduction
Path parameters
The internal name of your storage
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ partition \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get this object propertiesProduction
Path parameters
the given name of partition
The internal name of your storage
Response
percentage of partition space used in %
a brief description of the partition
the given name of partition
must be nfs cifs or both
CIFSNFSNFS_CIFSPartition size
percentage of partition space used by snapshots, in %
Example uses partitionName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ partition/ {partitionName} \
-H "authorization: Bearer $OVH_TOKEN"{ "partitionCapacity": 0, "partitionDescription": "string", "partitionName": "string", "protocol": "CIFS", "size": 0, "usedBySnapshots": 0}
get ACL for this partitionProduction
Path parameters
the given name of partition
The internal name of your storage
Response
Example uses partitionName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ partition/ {partitionName}/ access \
-H "authorization: Bearer $OVH_TOKEN"[ "192.0.2.0/24"]
Get this object propertiesProduction
Path parameters
the ip in root on storage
the given name of partition
The internal name of your storage
Response
the id of the access
a brief description of the acl
the ip in root on storage
ACL type
readonlyreadwriteExample uses ip = 192.0.2.0/24, partitionName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ partition/ {partitionName}/ access/ {ip} \
-H "authorization: Bearer $OVH_TOKEN"{ "accessId": 0, "aclDescription": "string", "ip": "192.0.2.0/24", "type": "readonly"}
Get custom snapshots for this partitionBeta
Path parameters
the given name of partition
The internal name of your storage
Response
Example uses partitionName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ partition/ {partitionName}/ customSnapshot \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get this object propertiesBeta
Path parameters
name of the snapshot
the given name of partition
The internal name of your storage
Response
date and time at which snapshot will be automatically destroyed
name of the snapshot
Example uses name = string, partitionName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ partition/ {partitionName}/ customSnapshot/ {name} \
-H "authorization: Bearer $OVH_TOKEN"{ "expiration": "string", "name": "string"}
Get this object propertiesProduction
Path parameters
the given name of partition
The internal name of your storage
Response
atime setting
ID
ZFS recordsize
sync setting
the template name
DatabasesDefaultFile Systems (big files)Virtual machinesExample uses partitionName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ partition/ {partitionName}/ options \
-H "authorization: Bearer $OVH_TOKEN"{ "atime": "string", "id": 0, "recordsize": "string", "sync": "string", "templateName": "Databases"}
Get quota for this partitionProduction
Path parameters
the given name of partition
The internal name of your storage
Response
Example uses partitionName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ partition/ {partitionName}/ quota \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get this object propertiesProduction
Path parameters
the given name of partition
The internal name of your storage
the uid to set quota on
Response
the size to set in MB
the uid to set quota on
Example uses partitionName = string, serviceName = string, uid = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ partition/ {partitionName}/ quota/ {uid} \
-H "authorization: Bearer $OVH_TOKEN"{ "size": 0, "uid": 0}
Get scheduled snapshot types for this partitionProduction
Path parameters
the given name of partition
The internal name of your storage
Response
Example uses partitionName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ partition/ {partitionName}/ snapshot \
-H "authorization: Bearer $OVH_TOKEN"[ "day-1"]
Get this object propertiesProduction
Path parameters
the given name of partition
The internal name of your storage
the interval of snapshot
day-1day-2day-3day-7hour-1hour-6Response
the interval of snapshot
day-1day-2day-3day-7hour-1hour-6Example uses partitionName = string, serviceName = string, snapshotType = day-1
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ partition/ {partitionName}/ snapshot/ {snapshotType} \
-H "authorization: Bearer $OVH_TOKEN"{ "snapshotType": "day-1"}
Get all the template usages options applicable to this partition.Production
Path parameters
the given name of partition
The internal name of your storage
Response
The description of the template.
The name of the template
Example uses partitionName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ partition/ {partitionName}/ templateUsage \
-H "authorization: Bearer $OVH_TOKEN"[ { "description": "string", "name": "string" }]
Return statistics about the partitionProduction
Path parameters
the given name of partition
The internal name of your storage
Query parameters
The type of statistic to be fetched
sizeusedusedbysnapshotsResponse
Example uses partitionName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ partition/ {partitionName}/ use \
-H "authorization: Bearer $OVH_TOKEN"{ "unit": "string", "value": 0}
Get service informationProduction
Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.
Path parameters
The internal name of your storage
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
View task listProduction
Path parameters
The internal name of your storage
Query parameters
Filter the value of operation property (=)
backupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroyFilter the value of status property (=)
cancelledcustomerErrordoingdoneinitovhErrortodoResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get this object propertiesProduction
Path parameters
The internal name of your storage
id of the task
Response
information about operation
the date when the task finished
last modification of task
Task type of operation
backupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroyname of the partition
The actual state of the task
cancelledcustomerErrordoingdoneinitovhErrortodothe name of your service
id of the task
Insertion of task in the todo
Example uses serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "details": "string", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "operation": "backupRecursiveDestroy", "partitionName": "string", "status": "cancelled", "storageName": "string", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}
Return statistics about the nasProduction
Path parameters
The internal name of your storage
Query parameters
The type of statistic to be fetched
sizeusedusedbysnapshotsResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ use \
-H "authorization: Bearer $OVH_TOKEN"{ "unit": "string", "value": 0}
Change service contactsProduction
Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.
Path parameters
The internal name of your storage
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Confirm service terminationProduction
Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.
Path parameters
The internal name of your storage
Request body (required)
Commentary about your termination request
What next after your termination request
NOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITORReason of your termination request
FEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORTThe termination token sent by email to the admin contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ confirmTermination \
-H "authorization: Bearer $OVH_TOKEN""string"
Create a new partitionProduction
Path parameters
The internal name of your storage
Request body (required)
Partition description
Partition name
NFS|CIFS|NFS_CIFS
CIFSNFSNFS_CIFSPartition size
Response
information about operation
the date when the task finished
last modification of task
Task type of operation
backupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroyname of the partition
The actual state of the task
cancelledcustomerErrordoingdoneinitovhErrortodothe name of your service
id of the task
Insertion of task in the todo
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ partition \
-H "authorization: Bearer $OVH_TOKEN"{ "details": "string", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "operation": "backupRecursiveDestroy", "partitionName": "string", "status": "cancelled", "storageName": "string", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}
Add a new ACL entryProduction
Path parameters
the given name of partition
The internal name of your storage
Request body (required)
ACL description
Ip or block to add
ACL type
readonlyreadwriteResponse
information about operation
the date when the task finished
last modification of task
Task type of operation
backupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroyname of the partition
The actual state of the task
cancelledcustomerErrordoingdoneinitovhErrortodothe name of your service
id of the task
Insertion of task in the todo
Example uses partitionName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ partition/ {partitionName}/ access \
-H "authorization: Bearer $OVH_TOKEN"{ "details": "string", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "operation": "backupRecursiveDestroy", "partitionName": "string", "status": "cancelled", "storageName": "string", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}
Create a new snapshotBeta
Path parameters
the given name of partition
The internal name of your storage
Request body (required)
optional expiration date/time, in iso8601 format
the name of the snapshot
Response
information about operation
the date when the task finished
last modification of task
Task type of operation
backupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroyname of the partition
The actual state of the task
cancelledcustomerErrordoingdoneinitovhErrortodothe name of your service
id of the task
Insertion of task in the todo
Example uses partitionName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ partition/ {partitionName}/ customSnapshot \
-H "authorization: Bearer $OVH_TOKEN"{ "details": "string", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "operation": "backupRecursiveDestroy", "partitionName": "string", "status": "cancelled", "storageName": "string", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}
Setup optionsProduction
Path parameters
the given name of partition
The internal name of your storage
Request body (required)
atime setting
offonZFS recordsize
104857613107216384327684096655368192sync setting
alwaysdisabledstandardThe name of the usage template to apply for this partition.
DatabasesDefaultFile Systems (big files)Virtual machinesResponse
information about operation
the date when the task finished
last modification of task
Task type of operation
backupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroyname of the partition
The actual state of the task
cancelledcustomerErrordoingdoneinitovhErrortodothe name of your service
id of the task
Insertion of task in the todo
Example uses partitionName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ partition/ {partitionName}/ options \
-H "authorization: Bearer $OVH_TOKEN"{ "details": "string", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "operation": "backupRecursiveDestroy", "partitionName": "string", "status": "cancelled", "storageName": "string", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}
Set a new quotaProduction
Path parameters
the given name of partition
The internal name of your storage
Request body (required)
the size to set in MB
the uid to set quota on
Response
information about operation
the date when the task finished
last modification of task
Task type of operation
backupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroyname of the partition
The actual state of the task
cancelledcustomerErrordoingdoneinitovhErrortodothe name of your service
id of the task
Insertion of task in the todo
Example uses partitionName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ partition/ {partitionName}/ quota \
-H "authorization: Bearer $OVH_TOKEN"{ "details": "string", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "operation": "backupRecursiveDestroy", "partitionName": "string", "status": "cancelled", "storageName": "string", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}
Schedule a new snapshot typeProduction
Path parameters
the given name of partition
The internal name of your storage
Request body (required)
Snapshot interval to add
day-1day-2day-3day-7hour-1hour-6Response
information about operation
the date when the task finished
last modification of task
Task type of operation
backupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroyname of the partition
The actual state of the task
cancelledcustomerErrordoingdoneinitovhErrortodothe name of your service
id of the task
Insertion of task in the todo
Example uses partitionName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ partition/ {partitionName}/ snapshot \
-H "authorization: Bearer $OVH_TOKEN"{ "details": "string", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "operation": "backupRecursiveDestroy", "partitionName": "string", "status": "cancelled", "storageName": "string", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}
Request service terminationProduction
Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.
Path parameters
The internal name of your storage
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ terminate \
-H "authorization: Bearer $OVH_TOKEN""string"
Delete this partitionProduction
Path parameters
the given name of partition
The internal name of your storage
Response
information about operation
the date when the task finished
last modification of task
Task type of operation
backupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroyname of the partition
The actual state of the task
cancelledcustomerErrordoingdoneinitovhErrortodothe name of your service
id of the task
Insertion of task in the todo
Example uses partitionName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ partition/ {partitionName} \
-H "authorization: Bearer $OVH_TOKEN"{ "details": "string", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "operation": "backupRecursiveDestroy", "partitionName": "string", "status": "cancelled", "storageName": "string", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}
Delete an ACL entryProduction
Path parameters
the ip in root on storage
the given name of partition
The internal name of your storage
Response
information about operation
the date when the task finished
last modification of task
Task type of operation
backupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroyname of the partition
The actual state of the task
cancelledcustomerErrordoingdoneinitovhErrortodothe name of your service
id of the task
Insertion of task in the todo
Example uses ip = 192.0.2.0/24, partitionName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ partition/ {partitionName}/ access/ {ip} \
-H "authorization: Bearer $OVH_TOKEN"{ "details": "string", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "operation": "backupRecursiveDestroy", "partitionName": "string", "status": "cancelled", "storageName": "string", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}
Delete a given snapshotBeta
Path parameters
name of the snapshot
the given name of partition
The internal name of your storage
Response
information about operation
the date when the task finished
last modification of task
Task type of operation
backupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroyname of the partition
The actual state of the task
cancelledcustomerErrordoingdoneinitovhErrortodothe name of your service
id of the task
Insertion of task in the todo
Example uses name = string, partitionName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ partition/ {partitionName}/ customSnapshot/ {name} \
-H "authorization: Bearer $OVH_TOKEN"{ "details": "string", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "operation": "backupRecursiveDestroy", "partitionName": "string", "status": "cancelled", "storageName": "string", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}
Delete a given quotaProduction
Path parameters
the given name of partition
The internal name of your storage
the uid to set quota on
Response
information about operation
the date when the task finished
last modification of task
Task type of operation
backupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroyname of the partition
The actual state of the task
cancelledcustomerErrordoingdoneinitovhErrortodothe name of your service
id of the task
Insertion of task in the todo
Example uses partitionName = string, serviceName = string, uid = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ partition/ {partitionName}/ quota/ {uid} \
-H "authorization: Bearer $OVH_TOKEN"{ "details": "string", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "operation": "backupRecursiveDestroy", "partitionName": "string", "status": "cancelled", "storageName": "string", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}
Delete a given snapshotProduction
Path parameters
the given name of partition
The internal name of your storage
the interval of snapshot
day-1day-2day-3day-7hour-1hour-6Response
information about operation
the date when the task finished
last modification of task
Task type of operation
backupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroyname of the partition
The actual state of the task
cancelledcustomerErrordoingdoneinitovhErrortodothe name of your service
id of the task
Insertion of task in the todo
Example uses partitionName = string, serviceName = string, snapshotType = day-1
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ partition/ {partitionName}/ snapshot/ {snapshotType} \
-H "authorization: Bearer $OVH_TOKEN"{ "details": "string", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "operation": "backupRecursiveDestroy", "partitionName": "string", "status": "cancelled", "storageName": "string", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}
Alter this object propertiesProduction
Path parameters
The internal name of your storage
Request body (required)
True, if partition creation is allowed on this nas HA
The name you give to the nas
area of nas
the disk type of the nasHa
hddnvmessdAccess ip of nas
Send an email to customer if any issue is detected
The storage service name
percentage of nas space used in %
the size of the nas
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"Alter this object propertiesProduction
Path parameters
the given name of partition
The internal name of your storage
Request body (required)
percentage of partition space used in %
a brief description of the partition
the given name of partition
must be nfs cifs or both
CIFSNFSNFS_CIFSPartition size
percentage of partition space used by snapshots, in %
Response
Example uses partitionName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ partition/ {partitionName} \
-H "authorization: Bearer $OVH_TOKEN"Update service informationProduction
Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.
Path parameters
The internal name of your storage
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ nasha/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"